IF OBJECT_ID('[DREAM].[DimDreamMatch]','U') IS NOT NULL
BEGIN
SET IDENTITY_INSERT [DREAM].[DimDreamMatch] ON 
IF NOT EXISTS (SELECT 'T' FROM [DREAM].[DimDreamMatch] WHERE [DimDreamMatchID] = -1 )
  INSERT INTO [DREAM].[DimDreamMatch]([DimDreamMatchID]) VALUES (-1)
UPDATE [DREAM].[DimDreamMatch] SET
   [MatchkategoriKode] = -1
	,[Matchkategori] = 'Ukendt'
	,[SYS_KommuneId] = 999
   WHERE [DimDreamMatchID] = -1
SET IDENTITY_INSERT [DREAM].[DimDreamMatch] OFF 
END
GO
